<?php

namespace EventPortal\Tests\Support\Traits;

use EventPortal\Domain\Agenda\Models\Pathway;
use EventPortal\Domain\Agenda\Models\Session;
use PHPUnit\Framework\Assert;

trait InteractsWithSessions
{
    public function assertPathwayHasSession(Pathway $pathway, Session $session)
    {
        Assert::assertTrue(
            $pathway->id === $session->pathway_id,
            "Failed asserting that pathway has session with id {$session->id}"
        );

        return $this;
    }
}
